## roaraudio 1.0~beta12

=== compbins/Makefile ===
TARGETS_ESD      = esdcat$(SUFFIX)  esdmon$(SUFFIX)    esdfilt$(SUFFIX)  esdplay$(SUFFIX) esd$(SUFFIX) esddsp$(SUFFIX)
TARGETS_ARTS     = artscat$(SUFFIX) artsd$(SUFFIX)     artsplay$(SUFFIX) artsdsp$(SUFFIX)
TARGETS_NAS      = auplay$(SUFFIX)  audial$(SUFFIX)    audiooss$(SUFFIX)
TARGETS_YIFF     = yplay$(SUFFIX)   yshutdown$(SUFFIX) yiff$(SUFFIX)
TARGETS_PA       = pacat$(SUFFIX)   paplay$(SUFFIX)    padsp$(SUFFIX)
TARGETS_DTMFDIAL = dtmfdial$(SUFFIX)
TARGETS_RSOUND   = ross$(SUFFIX)    rsd$(SUFFIX)       rsdplay$(SUFFIX)
TARGETS=$(TARGETS_ESD) $(TARGETS_ARTS) $(TARGETS_NAS) $(TARGETS_YIFF) $(TARGETS_PA) $(TARGETS_DTMFDIAL) $(TARGETS_RSOUND)

include ../Makefile.conf
include ../Makefile.inc

SUFFIX           = $(COMPBIN_SUFFIX)

.SUFFIXES: .a .r .bat

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

.a.r:
	./ast2roar $@ $<
.a.bat:
	./ast2roar --dos $@ $<

=== doc/Makefile ===
include ../Makefile.conf

all: symlinks
clean:
	while read fn fc tn tc; do rm man$$fc/$$fn.$$fc 2> /dev/null; done < symlinks.src; true
	while read fn fc tn tc; do rm html/man$$fc/$$fn.$$fc.html 2> /dev/null; done < symlinks.src; true
	rm -fr html/man?

symlinks:
	while read fn fc tn tc; do ln -s ../man$$tc/$$tn.$$tc man$$fc/$$fn.$$fc 2> /dev/null; done < symlinks.src; true

symlinks-html: man2html
	while read fn fc tn tc; do ln -s ../../html/man$$tc/$$tn.$$tc.html html/man$$fc/$$fn.$$fc.html 2> /dev/null; done < symlinks.src; true

man2html:
	sh -c 'for dir in man*; do (cd $$dir; mkdir ../html/$$dir 2>/dev/null; for file in *.?; do man2html -r $$file > ../html/$$dir/$$file.html; done); done'

prep-install-dirs:
	sh -c 'for dir in man*; do mkdir -p $(DESTDIR)$(PREFIX_MAN)/$$dir; done'

install: prep-install-dirs
	sh -c 'for dir in man*; do cp $(cp_v) $$dir/*.?* $(DESTDIR)$(PREFIX_MAN)/$$dir/; done'
semi-install: prep-install-dirs
	sh -c 'for dir in man*; do for file in $$dir/*.?*; do ln -fs `pwd`/$$file $(DESTDIR)$(PREFIX_MAN)/$$dir/; done; done'

=== libroararts/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

#TARGETS=libartsc$(SHARED_SUFFIX) libroarartsc$(SHARED_SUFFIX)
TARGETS=libroarartsc$(SHARED_SUFFIX)
OBJS=libartsc.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

#libartsc$(SHARED_SUFFIX): libroarartsc$(SHARED_SUFFIX)
#	cp libroarartsc$(SHARED_SUFFIX) libartsc$(SHARED_SUFFIX)
libroarartsc$(SHARED_SUFFIX): ${OBJS}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== libroardsp/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroardsp
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o float.o dtmf.o
OLDROAR=midi.o
FILTER=filter_lowp.o filter_highp.o filter_amp.o filter_quantify.o filter_add.o filter_clip.o filter_downmix.o filter_dcblock.o filter_swap.o filter_agc.o filter_speex_prep.o filter_responsecurve.o filter_goertzel.o
MIDI=synth.o
CODECS=alaw.o mulaw.o
TRANSCODERS=transcode_mualaw.o transcode_celt.o transcode_speex.o

ALLOBJS=$(OBJS) $(FILTER) $(TRANSCODERS) $(OLDROAR) $(MIDI) $(CODECS)

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroardsp
CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)

LIBS      = $(LIBROARDSP_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): $(ALLOBJS)
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARDSP_V) -o $(SLIB) $(ALLOBJS) $(LIBS)
$(ALIB): $(ALLOBJS)
	${AR} cru $(ALIB) $(ALLOBJS)
	${RANLIB} $(ALIB)

=== libroaresd/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroaresd
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
OBJS=libroaresd.o esdbasic.o esdctl.o esdstream.o esdsample.o esdfile.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroaresd
CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

=== libroarlight/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroarlight
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
OBJS=libroarlight.o colors.o roardmx.o pwm.o slfi.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarlight
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROARLIGHT_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARLIGHT_V) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

=== libroaross/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroaross
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
OBJS=libroaross.o

#DEFINES = -DDEBUG
INCLUDE = -I../include -I../include/libroar
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../lib
LIBS    = $(LIBROAR) $(LIBROARLIGHT) $(lib_dl)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

=== libroarpulse/Makefile ===
LIB_PREFIX=libroarpulse
LIB_STDAPI=$(LIB_PREFIX)$(SHARED_SUFFIX)
LIB_SIMPLE=$(LIB_PREFIX)-simple$(SHARED_SUFFIX)

TARGETS=$(LIB_STDAPI) $(LIB_SIMPLE) libroarpulseinfo
OBJS_ROAR   = libroarpulse.o
OBJS_STD    = util.o error.o timeval.o context.o xmalloc.o version.o operation.o introspect.o sample.o channelmap.o stream.o volume.o mainloop.o mainloop-signal.o mainloop-threaded.o utf8.o x11.o
OBJS_SIMPLE = simple.o
OBJS_STDAPI = $(OBJS_ROAR) $(OBJS_STD)

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(LDPATH) -L../lib/ -L. -Wl,--version-script=version-script
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(LIB_STDAPI): ${OBJS_STDAPI}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_SOVERSION) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}

$(LIB_SIMPLE): ${OBJS_SIMPLE} $(LIB_STDAPI)
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_SOVERSION) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse


libroarpulseinfo: libroarpulseinfo.o

=== libroaryiff/Makefile ===
TARGETS=libroaryiff.so
OBJS=libroaryiff.o connection.o playback.o audiocd.o ctl.o stub.o file.o events.o

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroaryiff
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

libroaryiff.so: ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,libroaryiff$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroaryiff$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== plugins/Makefile ===
include ../Makefile.conf

all:
	for i in */; do cd $$i; $(MAKE) all; cd ..; done
clean:
	for i in */; do cd $$i; $(MAKE) clean; cd ..; done
new: clean all

=== roard/Makefile ===
TARGETS=roard

OBJ=roard.o driver.o mixer.o output.o signals.o loop.o clients.o streams.o network.o commands.o req.o sources.o sample.o meta.o codecfilter.o lib.o ssynth.o container_framework.o plugins.o memlock.o hwmixer.o auth.o caps.o rolestack.o
SUBSYS=midi.o light.o raw.o rdtcs.o waveform.o beep.o
DRV=driver_esd.o driver_ao.o driver_roar.o driver_oss.o driver_shout.o driver_sndio.o driver_dmx.o driver_pwmled.o driver_i2cdmx.o driver_sysclock.o driver_wmm.o driver_dstr.o driver_alsa.o driver_rsound.o driver_portaudio.o driver_pulsesimple.o driver_jack.o driver_artsc.o
CF_CODEC=codecfilter_cmd.o codecfilter_vorbis.o codecfilter_celt.o codecfilter_speex.o codecfilter_alaw.o codecfilter_mulaw.o codecfilter_sndfile.o codecfilter_fishsound.o codecfilter_flac.o codecfilter_roardmx.o
CF_CONTAINER=codecfilter_wave.o codecfilter_au.o codecfilter_uniraum.o
EMUL=emul_simple.o emul_rsound.o
HWMIXER=hwmixer_dstr.o hwmixer_oss.o

CF=${CF_CONTAINER} ${CF_CODEC}

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
#DEFINES        = -DMONITOR_LATENCY
INCLUDE   = -I../include -I./include
CFLAGS   += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS  += $(DEBUG_g) $(Wall) $(rdynamic) -L../lib/ $(LDPATH)
DRVLIBS   = $(lib_esd) $(lib_ossaudio) $(lib_ao) $(lib_shout) $(pthread) $(lib_sndio) $(lib_rsound) $(lib_portaudio) $(lib_pablio) $(lib_asound) $(lib_winmm) $(lib_pulse_simple) $(lib_pulse) $(lib_jack) $(lib_artsc)
CODEC_CELT= $(lib_celt) $(lib_celt0)
CODECLIBS = $(lib_vorbisfile) $(lib_vorbisenc) $(lib_vorbis) $(lib_fishsound) $(lib_speex) $(lib_speexdsp) $(CODEC_CELT) $(lib_flac)
CONTLIBS  = $(lib_oggz) $(lib_sndfile) $(lib_ogg) $(lib_uniraum)
OWNLIBS   = $(LIBROAREIO) $(LIBROARLIGHT) $(LIBROARMIDI) $(LIBROARDSP) $(LIBROAR)
LIBS      = $(DRVLIBS) $(CODECLIBS) $(CONTLIBS) $(OWNLIBS) $(lib_slp)

all: ${TARGETS}
	rm -f ../lib/${TARGETS} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

run: roard
	./roard $(ARGS)

roard: ${OBJ} ${SUBSYS} ${DRV} ${CF} ${EMUL} ${HWMIXER}
	${CC} ${LDFLAGS} -o roard ${OBJ} ${SUBSYS} ${DRV} ${CF} ${EMUL} ${HWMIXER} ${LIBS}

=== roarfish/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

TARGETS=roarfish

OBJ=roarfish.o play.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I./include
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) -L../lib/ $(LDPATH)
LIBS    = $(LIBROAR) $(lib_fishsound) $(lib_oggz)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

roarfish: ${OBJ}
	${CC} ${LDFLAGS} -o roarfish ${OBJ} ${LIBS}

=== debian/changelog ===
roaraudio (1.0~beta12-4) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 15:00:13 +0100

roaraudio (1.0~beta12-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Do not build with pulse support anymore, because the package FTBFS with it.
  * Disable auto tests.
  * Override some false positive lintian warnings.
  * Drop unused manpage roartestclients and roarbaseclients.
  * Add patch 02-spelling-errors.
  * Drop init.d script and migrate to systemd service unit.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 15:25:34 +0100

roaraudio (1.0~beta12-2) unstable; urgency=medium

  * Add patch 01-reproducible-build from Chris Lamp to make the build
    reproducible again.
    Closes: #920592

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 28 Jan 2019 10:24:17 +0100

roaraudio (1.0~beta12-1) unstable; urgency=high

  * New upstream release.
    - Fixes FTBFS with glibc 2.28.
      Closes: #915345
    - Drop merged patch 01-source-init-functions.
    - Drop merged patch 02-manpage-spelling-errors.
    - Drop merged patch 03-manpage-spelling-errors.
    - Drop merged patch 04-more-spelling-errors.
    - Drop merged patch 05-more-more-spelling-errors.
    - Drop merged patch 06-spelling-error.
    - Drop merged patch 07-reproducible-build.
    - Drop merged patch 08-spelling-errors.
    - Drop merged patch 09-spelling-errors.
    - Drop merged patch 10-spelling-errors.
    - Drop merged patch 11-spelling-errors.
  * Bump Standards-Version to 4.3.0.
  * Adjust lintian overrides.
  * Use pkg-info.mk for reading the DEB_VERSION.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Jan 2019 10:11:03 +0100

roaraudio (1.0~beta11-11) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Fix wrong redirection.
    Closes: #908264
  * Tell ./configure about cross building.
    Closes: #909345
  * Adjust lintian overrides.
  * Add patch 11-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Oct 2018 10:28:33 +0200

roaraudio (1.0~beta11-10) unstable; urgency=low

  * Remove esound support.
    Closes: #856088
  * Do not provide libsndio anymore.
    Closes: #863889
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Add patch 10-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 13:17:48 +0200

roaraudio (1.0~beta11-9) unstable; urgency=medium

  * Remove dependency on libslp-dev at the libroar-dev package.
    Closes: #815365
  * Add patch 09-spelling-errors.
  * Add missing dependency on lsb-base.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Dec 2016 16:38:40 +0100

roaraudio (1.0~beta11-8) unstable; urgency=medium

  * Add patch 06-spelling-error.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Add patch 07-reproducible-build from Chris Lamb to make the build
    reproducible.
    Closes: #833380
  * Fix spelling error in package long description.
  * Add patch 08-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Aug 2016 13:04:57 +0200

=== debian/control ===
Source: roaraudio
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 bash-completion,
 libz-dev,
 libfishsound1-dev,
 libvorbis-dev,
 libspeex-dev,
 libshout3-dev,
 libsndfile1-dev,
 liboggz2-dev,
 libspeexdsp-dev,
 libao-dev,
 libx11-dev,
 libflac-dev,
 libasound2-dev [linux-any],
 portaudio19-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libroar2
Architecture: any
Multi-Arch: same
Suggests: libroar-plugins-universal (= ${binary:Version}),
 roaraudio-server,
 bzip2,
 gnupg,
 openssh-client,
 pinentry,
 libmuroar0,
 slpd,
 socat
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libroar0
Replaces: libroar0
Description: foundation libraries for the RoarAudio sound server and clients
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.

Package: libroar-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 libx11-dev
Recommends: roarclients
Suggests: ckport,
 libmuroar-dev
Description: header files and documentation for the RoarAudio libraries
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the development headers for the libroar library.

Package: roaraudio
Section: sound
Architecture: any
Provides: roaraudio-server,
 rsound-server
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 libroar-compat-tools (= ${binary:Version}),
 roarclients (= ${binary:Version}),
 lsb-base,
 ${misc:Depends}
Recommends: oss-compat [!hurd-i386],
 libroar-plugins-universal (= ${binary:Version})
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
Description: sound server for audio mixing
 RoarAudio is a system for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This package contains the RoarAudio sound server "roard" implementing the
 RoarAudio protocol.

Package: roarclients
Section: sound
Architecture: any
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1),
 roaraudio (<< 1.0~beta1-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1),
 roaraudio (<< 1.0~beta1-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libroar-compat2 (= ${binary:Version}),
 libroar-plugins-universal (= ${binary:Version})
Suggests: roaraudio | roaraudio-server
Description: Collection of basic clients for the RoarAudio Sound System
 This package is a collection of basic clients for the RoarAudio Sound System
 based on libroar. The collection includes tools for playback and recording
 as well as controlling and monitoring the sound system.
 Some tools are also very helpful for testing and debugging a RoarAudio
 setup or software.

Package: libroar-compat2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: roaraudio (<< 0.3~beta7-pr2-1)
Conflicts: libroar-compat0,
 libroar-compat1
Replaces: libroar-compat0,
 libroar-compat1
Description: drop-in replacements for other sound libraries
 RoarAudio is a system for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 To get programs which use the PulseAudio or YIFF API running, you can install
 this package and replace the appropriate libraries.

Package: libroar-compat-tools
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libroar-compat2 (= ${binary:Version})
Breaks: libroar-compat2 (<= 1.0~beta11-2),
Replaces: libroar-compat2 (<= 1.0~beta11-2),
Description: drop-in replacements for other sound libraries (tools package)
 To get programs which use the PulseAudio or YIFF API running, you can install
 this package and replace the appropriate libraries.
 .
 This package contains the required tools for the libroar-compat package.

Package: libroar-plugins-universal
Section: sound
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Enhances: roarclients,
 roaraudio
Description: Collection of host-independent plugins for libroar
 This is a collection of host application independent plugins for libroar.
 Host application independent plugins are plugins which can be loaded in
 all host applications (e.g. roard, roarpluginrunner and roarplaylistd).
 .
 This collection also includes plugins helpful for debugging the plugin
 interface of applications using libroar's plugin interface.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
-include /usr/share/dpkg/buildtools.mk
export CC

DEB_CONFIGURE_EXTRA_FLAGS := \
	--cflags "$(CFLAGS)" \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH) \
	--without-xmms \
	--without-audacious \
	--without-beta \
	--runtime-detect \
	--link-deps indirect \
	--without-memory-api \
	--oss-dev /dev/dsp \
	--oss-mixer-dev /dev/mixer \
	--proc-net-arp /proc/net/arp \
	--no-ipx \
	--no-yiff \
	--no-celt \
	--no-celt0 \
	--no-slp \
	--distribution-version-string "Debian-$(DEB_VERSION)"

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
DEB_CONFIGURE_EXTRA_FLAGS += --cross-compile
endif

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean

override_dh_auto_test:

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/libroar-dev/usr/include/roaraudio/.cvsignore

=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/ \
http://roaraudio.keep-cool.org/downloads.html dl/roaraudio-([^-]*)\.tar\.gz
